fastboot $* getvar soc-id 2>&1 | grep "^soc-id: *140$"
if [ $? -ne 0 ] ; then echo "Missmatching image and device"; exit 1; fi
fastboot $* flash tz "`dirname $0`/images/tz.mbn"
if [ $? -ne 0 ] ; then echo "Flash tz error"; exit 1; fi
fastboot $* flash sbl1 "`dirname $0`/images/sbl1.mbn"
if [ $? -ne 0 ] ; then echo "Flash sbl1 error"; exit 1; fi
fastboot $* flash sbl2 "`dirname $0`/images/sbl2.mbn"
if [ $? -ne 0 ] ; then echo "Flash sbl2 error"; exit 1; fi
fastboot $* flash sbl3 "`dirname $0`/images/sbl3.mbn"
if [ $? -ne 0 ] ; then echo "Flash sbl3 error"; exit 1; fi
fastboot $* flash rpm "`dirname $0`/images/rpm.mbn"
if [ $? -ne 0 ] ; then echo "Flash rpm error"; exit 1; fi
fastboot $* flash aboot "`dirname $0`/images/emmc_appsboot.mbn"
if [ $? -ne 0 ] ; then echo "Flash aboot error"; exit 1; fi
fastboot $* flash misc "`dirname $0`/images/misc.img"
if [ $? -ne 0 ] ; then echo "Flash misc error"; exit 1; fi
fastboot $* flash modem+modem1 "`dirname $0`/images/NON-HLOS.bin"
if [ $? -ne 0 ] ; then echo "Flash modem error"; exit 1; fi
fastboot $* flash recovery "`dirname $0`/images/recovery.img"
if [ $? -ne 0 ] ; then echo "Flash recovery error"; exit 1; fi
fastboot $* reboot
if [ $? -ne 0 ] ; then echo "Reboot error"; exit 1; fi
